Generator TOTP / HOTP untuk Kata Sandi Sekali Pakai
Generator TOTP / HOTP membuat kata sandi sekali pakai dari rahasia bersama Base32. TOTP memakai waktu saat ini, sedangkan HOTP memakai counter. Pilih 6, 7, atau 8 digit, SHA-1, SHA-256, atau SHA-512, dan periode waktu seperti 15, 30, atau 60 detik. Hitung mundur langsung menunjukkan berapa lama kode TOTP saat ini masih berlaku.
Generator TOTP / HOTP membuat kata sandi sekali pakai yang dipakai dalam autentikasi dua faktor. Ia mendukung TOTP (RFC 6238), yang menurunkan kode baru dari waktu saat ini dan rahasia bersama, dan HOTP (RFC 4226), yang menurunkan kode dari counter. Rahasia bersama dienkode sebagai Base32 (RFC 4648), format yang dibawa kode QR untuk Google Authenticator.
Untuk menghasilkan kode, alat memakai rahasia bersama dengan setelan yang dipilih. Anda dapat memilih 6, 7, atau 8 digit, SHA-1, SHA-256, atau SHA-512, dan periode TOTP seperti 15, 30, atau 60 detik. Bilah hitung mundur langsung menunjukkan berapa lama kode berbasis waktu saat ini masih berlaku. Perhitungan memakai WebCrypto HMAC dan berjalan secara lokal di browser Anda.
TOTP dan HOTP berbeda dalam nilai yang dipakai untuk menurunkan tiap kode: TOTP memakai waktu, sedangkan HOTP memakai counter. Kedua format menghasilkan kata sandi sekali pakai dari rahasia bersama, tetapi perbedaan itu penting saat menguji atau bekerja dengan alur autentikasi dua faktor tertentu. Pakai generator untuk menyiapkan kode untuk data pengujian, memeriksa alur kerja authenticator, atau membandingkan kedua standar.
Generator TOTP / HOTP berjalan di browser Anda, dan tidak ada data yang dikirim ke server. Ia tidak memiliki ketergantungan server, sehingga setelah halaman dimuat ia terus berfungsi offline. Ini membuatnya berguna bagi developer dan engineer DevOps yang membutuhkan kode untuk pengujian lokal, fixture, dokumentasi, atau tugas pengembangan tanpa mengirim rahasia bersama ke tempat lain.
Langkah 1: Masukkan rahasia bersama dalam format Base32, pengkodean yang dipakai dalam kode QR authenticator.
Langkah 2: Atur opsi yang tersedia: pilih 6, 7, atau 8 digit dan SHA-1, SHA-256, atau SHA-512.
Langkah 3: Pilih periode waktu untuk TOTP, seperti 15, 30, atau 60 detik.
Langkah 4: Hasilkan kata sandi sekali pakai dan periksa hitung mundur langsung untuk melihat berapa lama kode TOTP saat ini masih berlaku.
Langkah 5: Salin nilai yang Anda butuhkan untuk pengujian, fixture, atau alur kerja lainnya.
Kasus penggunaan: Hasilkan nilai TOTP atau HOTP untuk pengujian autentikasi, fixture, dan seed data alih-alih mengetik kode contoh secara manual.
Kasus penggunaan: Buat sekumpulan kode sekaligus saat menyiapkan data pengujian, sebagai alternatif mengarang nilai secara manual.
Kasus penggunaan: Hasilkan kode menurut standar dan setelan yang dipilih, bukan mengandalkan tebakan yang diketik di keyboard.
Kasus penggunaan: Periksa bagaimana rahasia bersama Base32 menghasilkan kata sandi sekali pakai saat menguji alur kerja authenticator.
Kasus penggunaan: Bandingkan kode TOTP berbasis waktu dengan kode HOTP berbasis counter saat mengembangkan atau men-debug autentikasi dua faktor.
Kasus penggunaan: Siapkan contoh kata sandi sekali pakai untuk dokumentasi, demonstrasi, atau pekerjaan pengembangan lainnya.